Skip to content
Changelog

Report a bug

Coassemble integration: operations for AI agents

Coassemble connects to Type.com as an integration. This page lists the 115 operations documented for Claude and Codex in Type.com: 62 read, 38 write, 15 destructive.

About Coassemble

Coassemble is a platform that allows users to create, manage, and deliver online training courses.

Categories: Education

How to connect Coassemble to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

115 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

115 operations listed.

Assignments

  • Read

    List all assignments

    GET /api/v1/assignments

  • Write

    Save a student's grades on an assignment

    POST /api/v1/assignments/{assignment}/grades

Categories

  • Read

    List all categories

    GET /api/v1/categories

  • Write

    Create a new category

    POST /api/v1/categories

Courses

  • Read

    Search for courses

    GET /api/v1/courses

  • Read

    Search for courses that you can enroll students into

    GET /api/v1/courses/enrollable

  • Read

    Get a course

    GET /api/v1/courses/{course}

  • Read

    Retrieve types of module you are allowed to use

    GET /api/v1/courses/modules/types

  • Read

    Export course content

    Exports lesson text, quiz questions and answers, and video/document links. Hosted video players retain their source URL with a null downloadurl when a direct file is unavailable.

  • Write

    Create a new course

    POST /api/v1/courses

Course Groups

  • Read

    Get groups enrolled in a course

    GET /api/v1/courses/{course}/groups

  • Read

    Details of a group enrolled in a course

    GET /api/v1/courses/{course}/groups/{group}

  • Read

    Get Students of a Group in a Course

    GET /api/v1/courses/{course}/groups/{group}/students

  • Read

    Get Teachers of a Group in a Course

    GET /api/v1/courses/{course}/groups/{group}/teachers

  • Read

    Get settings for a group in a course

    GET /api/v1/courses/{course}/groups/{group}/settings

  • Read

    Get module settings for a group in a course

    GET /api/v1/courses/{course}/groups/{group}/modules/settings

  • Read

    Get settings for a user in a group in a course

    GET /api/v1/courses/{course}/groups/{group}/users/{userId}/settings

  • Read

    Get module settings for a user in a group in a course

    GET /api/v1/courses/{course}/groups/{group}/users/{userId}/modules/settings

  • Read

    List credentials on a group in a course

    GET /api/v1/courses/{course}/groups/{group}/credentials

  • Write

    Create a new group enrolled in a course

    POST /api/v1/courses/{course}/groups

  • Write

    Link an existing group to a course

    POST /api/v1/courses/{course}/groups/{group}/links

  • Destructive

    Set settings for a group in a course

    PUT /api/v1/courses/{course}/groups/{group}/settings

  • Destructive

    Set module settings for a group in a course

    PUT /api/v1/courses/{course}/groups/{group}/modules/settings

  • Destructive

    Set settings for a user in a group in a course

    PUT /api/v1/courses/{course}/groups/{group}/users/{userId}/settings

  • Destructive

    Set module settings for a user in a group in a course

    PUT /api/v1/courses/{course}/groups/{group}/users/{userId}/modules/settings

Enrolments

  • Read

    Search for enrolments

    GET /api/v1/enrolments

  • Write

    Create an enrolment

    POST /api/v1/enrolments

  • Write

    Enrol a batch of students into groups

    POST /api/v1/enrolments/batch

  • Write

    Enrol a group into a batch of courses

    POST /api/v1/enrolments/group/batch

  • Destructive

    Remove an enrolment

    DELETE /api/v1/enrolment

Events

  • Write

    Post post events course commence

    POST /api/v1/events/{tracking}/courses/commences

  • Write

    Post post events course complete

    POST /api/v1/events/{tracking}/courses/completes

  • Write

    Post post events module commence

    POST /api/v1/events/{tracking}/modules/commences

  • Write

    Post post events module complete

    POST /api/v1/events/{tracking}/modules/completes

Externalproviders

  • Read

    Get cget externalproviders

    GET /api/v1/externalproviders

  • Read

    Get get externalproviders types

    GET /api/v1/externalproviders/types

  • Read

    Get get externalproviders

    GET /api/v1/externalproviders/{provider}

  • Read

    Get get externalproviders vettrak resulttypes

    GET /api/v1/externalproviders/{provider}/vettrak/resulttypes

  • Write

    Post post externalproviders

    POST /api/v1/externalproviders

  • Write

    Post post externalproviders test

    POST /api/v1/externalproviders/tests

  • Destructive

    Put put externalproviders

    PUT /api/v1/externalproviders/{provider}

Groups

  • Read

    List all groups

    GET /api/v1/groups

  • Read

    Fetch details of a particular group

    GET /api/v1/groups/{group}

  • Read

    List students in this group

    GET /api/v1/groups/{group}/students

  • Read

    List teachers in this group

    GET /api/v1/groups/{group}/teachers

  • Read

    List modules that groups can study

    GET /api/v1/groups/{group}/modules

  • Read

    List credentials on this group

    GET /api/v1/groups/{group}/credentials

  • Read

    Get a group's enrolment link

    GET /api/v1/groups/{group}/enrolment_link

  • Write

    Create a new group

    POST /api/v1/groups

  • Write

    Modify an existing group

    PATCH /api/v1/groups/{group}

  • Write

    Copy an existing group

    POST /api/v1/groups/{source}/copies

  • Write

    Add students to this group

    POST /api/v1/groups/{group}/students

  • Write

    Add teachers to this group

    POST /api/v1/groups/{group}/teachers

  • Write

    Create a group's enrolment link

    POST /api/v1/groups/{group}/enrolment_link

  • Write

    Update a group's enrolment link

    PATCH /api/v1/groups/{group}/enrolment_link

  • Destructive

    Delete an existing group

    DELETE /api/v1/groups/{group}

  • Destructive

    Deletes a group of student from this group

    DELETE /api/v1/groups/{group}/students

  • Destructive

    Delete a group's enrolment link

    DELETE /api/v1/groups/{group}/enrolment_link

Miscellaneous

  • Write

    Returns whatever request body is given to it. Mostly useful for testing purposes.

    POST /api/v1/loopback

Members

  • Read

    List all members of your campus

    GET /api/v1/members

  • Read

    Get a user

    GET /api/v1/members/{id}

  • Read

    Get the groups in which a member is enrolled

    GET /api/v1/members/{id}/groups

  • Write

    Create a user as a member of your campus or add an existing user to it.

    POST /api/v1/members

  • Write

    Enrol many members by email address

    POST /api/v1/members/batch

  • Destructive

    Delete a user from a workspace

    DELETE /api/v1/members/{user}

Results

  • Read

    Results of modules

    GET /api/v1/module/results

  • Read

    Search for results

    GET /api/v1/results

  • Read

    Search for results

    GET /api/v1/results/report

  • Read

    Get get results sortable

    GET /api/v1/results/sortable

  • Read

    Get one result

    GET /api/v1/results/{result}

Pricing

  • Read

    Retrieve some basic information about the various actions this system can support

    GET /api/v1/pricing/actions

  • Read

    Get api v1 pricing get options

    GET /api/v1/pricing/options

  • Read

    Get api v1 pricing get option by type

    GET /api/v1/pricing/options/type/{type}

  • Read

    Get api v1 pricing get option

    GET /api/v1/pricing/options/{name}

  • Read

    Retrieve pricing plans that are available to you as upgrades.

    GET /api/v1/pricing/plans

Students

  • Read

    List all students

    GET /api/v1/students

  • Read

    List all students with only basic information

    GET /api/v1/students/simple

  • Read

    Get a single student

    GET /api/v1/students/{id}

  • Read

    List all courses for a student

    GET /api/v1/students/{id}/courses

  • Read

    List courses with tracking information for a student

    Example { "id": 999, "code": "course101", "title": "Course Basics", "image": "http://cdn.com/image.jpg", "progressPercent": 12, "commenced": "2018-12-12 13:45:23", "enrolled": "2018-12-10 09:42:12", "groupname": "Group of students", "groupid": 14, "startdate": "2018-12-10 00:00:…

  • Read

    Fetch count of cards of each status type

    Example { "commenced": 0, "completed": 0, "uncommenced": 1, }

  • Read

    Get latest invitation for a student

    GET /api/v1/student/invitation

Trackable Links

  • Read

    Get a trackable link for a course

    GET /api/v1/trackables/{course}

  • Read

    Get results for trackable links

    GET /api/v1/trackable/report

  • Write

    Create a trackable link for a course

    POST /api/v1/trackables/{course}

Webhooks

  • Read

    List all currently configured webhooks

    GET /api/v1/webhooks

  • Read

    List the fields that will be included in each type of webhook request body

    GET /api/v1/webhooks/fields

  • Read

    Retrieve the secret value that can be used to authenticate incoming webhook requests

    GET /api/v1/webhooks/secret

  • Read

    Retrieve a specific webhook by ID

    GET /api/v1/webhooks/{webhook}

  • Write

    Create a new webhook

    POST /api/v1/webhooks

  • Write

    Replace the webhook secret with a newly-generated value

    You should only need to call this endpoint if your webhook secret has accidentally been leaked and must be discarded.

  • Write

    Test an existing webhook, simulating an event being sent to it

    POST /api/v1/webhooks/{webhook}/tests

  • Destructive

    Update a webhook

    PUT /api/v1/webhooks/{webhook}

  • Destructive

    Delete an unwanted webhook

    DELETE /api/v1/webhooks/{webhook}

Admin

  • Read

    Get get clients

    GET /api/v1/admin/migration/clients

  • Read

    Get get content

    GET /api/v1/admin/migration/client/{id}/content

  • Read

    Get get max ids

    GET /api/v1/admin/migration/max-ids

  • Write

    Post post aws

    POST /api/v1/admin/aws

  • Write

    Post post invitations bounce

    POST /api/v1/admin/invitations/bounces

  • Write

    Post post invitations delivery

    POST /api/v1/admin/invitations/deliveries

  • Write

    Post post invitations open

    POST /api/v1/admin/invitations/opens

  • Write

    Post mark migrated

    POST /api/v1/admin/migration/client/{id}/complete

  • Write

    Post post client data

    POST /api/v1/admin/migration/execute

  • Write

    Post post event

    POST /api/v1/admin/stripe

Lti

  • Read

    Get get profile consumer

    GET /api/v1/lti/profile/consumer

  • Read

    Get cget providers

    GET /api/v1/lti/providers

  • Read

    Get get providers

    GET /api/v1/lti/providers/{provider}

  • Read

    Get get tool proxies config

    GET /api/v1/lti/tool_proxies/{proxy}/configuration

  • Read

    Get get tool proxies

    GET /api/v1/lti/tool_proxies/{proxy}

  • Write

    Post post outcomes

    POST /api/v1/lti/outcomes

  • Write

    Post post providers

    POST /api/v1/lti/providers

  • Write

    Post post tool proxies

    POST /api/v1/lti/tool_proxies

  • Destructive

    Put put providers

    PUT /api/v1/lti/providers/{provider}

  • Destructive

    Put put tool proxies

    PUT /api/v1/lti/tool_proxies

See How connections work for access and permissions, or browse all integrations.